/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <utility>

#include "idlc/declaration.h"
#include "idlc/attribute.h"
#include "idlc/interface.h"
#include "idlc/block.h"

namespace tidl {

Interface::Interface(std::string id, Declarations* decls, std::string comments,
                     Attributes* attrs, unsigned line)
    : Block::Block(std::move(id), Block::TYPE_INTERFACE,
                   std::move(comments), line),
      decls_(decls),
      attrs_(attrs) {}

const Declarations& Interface::GetDeclarations() const {
  return *decls_;
}

const Attributes& Interface::GetAttributes() const {
  return *attrs_;
}

}  // namespace tidl
